Bug 19748 - [QT3] support of FULLY-NORMALIZED is not required in fn:normalize-unicode
Summary: [QT3] support of FULLY-NORMALIZED is not required in fn:normalize-unicode
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite (show other bugs)
Version: Last Call drafts
Hardware: PC Windows XP
: P2 normal
Target Milestone: ---
Assignee: Tim Mills
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-28 18:09 UTC by Andrew Eisenberg
Modified: 2012-10-31 09:40 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Eisenberg 2012-10-28 18:09:46 UTC
Normalization form FULLY-NORMALIZED is used in test cases cbcl-fn-normalize-unicode-001 and cbcl-fn-normalize-unicode-006. 

fn:normalize-unicode says, in part:

"Conforming implementations must support normalization form "NFC" and may support normalization forms "NFD", "NFKC", "NFKD", and "FULLY-NORMALIZED". They may also support other normalization forms with ·implementation-defined semantics."

I believe that both test cases should accept error FOCH0003, indicating that FULLY-NORMALIZED is not one of the values supported by the implementation.
Comment 1 Tim Mills 2012-10-30 11:00:27 UTC
Fixed as suggested.

Please mark as CLOSED if you agree with the resolution.  Otherwise, REOPEN.
Comment 2 Michael Kay 2012-10-30 13:00:10 UTC
I have introduced a new "dependency" for unicode-normalization-form and have use this to mark tests that have a dependency on any of the normalization forms which processors are not obliged to support. For the two tests cited, I have split them into two variants one for processors that support the normalization form, one for those that don't.